using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GWSocketClient
{
    public partial class WebViewForm : Form
    {
        public WebViewForm()
        {
            InitializeComponent();
        }

        private void WebViewForm_Load(object sender, EventArgs e)
        {
            webBrowser1.Navigate(Application.StartupPath + @"\html\index.html");
            webBrowser1.ScriptErrorsSuppressed = true;
        }

        private void readPropertiesJSONFile()
        {
            
        }

        private void webBrowser1_DocumentCompleted(object sender, WebBrowserDocumentCompletedEventArgs e)
        {
            //取数据.设备数据过去
            webBrowser1.Document.GetElementById("all_data").SetAttribute("value", "aaaaaaaaaaaaaaaaaaaaaaaaaaaaa");
        }
    }
}